## org.mortbay.jetty.handler.rewrite
Class CookiePatternRule

    java.lang.Object
      org.mortbay.jetty.handler.rewrite.Rule
          org.mortbay.jetty.handler.rewrite.PatternRule
              org.mortbay.jetty.handler.rewrite.CookiePatternRule

    public class CookiePatternRule

extends PatternRule

Sets the cookie in the response whenever the rule finds a match.

See Also:
  `Cookie`

Field Summary

Fields inherited from class org.mortbay.jetty.handler.rewrite.PatternRule
`_pattern`

Fields inherited from class org.mortbay.jetty.handler.rewrite.Rule
`_handling, _terminating`

Constructor Summary
`CookiePatternRule()`

Method Summary
`String` `apply(String target, HttpServletRequest request, HttpServletResponse response)` Apply the rule to the request
`void` `setName(String name)` Assigns the cookie name.
`void` `setValue(String value)` Assigns the cookie value.
`String` `toString()` Returns the cookie contents.

Methods inherited from class org.mortbay.jetty.handler.rewrite.PatternRule
`getPattern, matchAndApply, setPattern`

Methods inherited from class org.mortbay.jetty.handler.rewrite.Rule
`isHandling, isTerminating, setHandling, setTerminating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CookiePatternRule

    public CookiePatternRule()

Method Detail

### setName

    public void setName(String name)

  Assigns the cookie name.

  Parameters:
    `name` - a `String` specifying the name of the cookie.

### setValue

    public void setValue(String value)

  Assigns the cookie value.

  Parameters:
    `value` - a `String` specifying the value of the cookie
  See Also:
    `Cookie.setValue(String)`

### apply

    public String apply(String target,
                        HttpServletRequest request,
                        HttpServletResponse response)
                 throws IOException

  Description copied from class: `PatternRule`
  Apply the rule to the request

  Specified by:
    `apply` in class `PatternRule`
  Parameters:
    `target` - field to attempt match
    `request` - request object
    `response` - response object
  Returns:
    The target (possible updated)
  Throws:
    `IOException` - exceptions dealing with operating on request or response objects

### toString

    public String toString()

  Returns the cookie contents.

  Overrides:
    `toString` in class `PatternRule`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.